## nut 1.4.2

=== Makefile ===
# Network UPS Tools: pre-configure

all: 
	@echo "Running configure..."
	@./configure
	@make

distclean:

## nut 2.2.1

=== scripts/HP-UX/Makefile ===
# directory definitions
INSTALLSH = ../../install-sh
CONFIGPATH    = /etc/rc.config.d
SCRIPTPATH    = /sbin/init.d
LINKPATH	= /sbin/rc3.d
LINKPREFIX	= 991
OWNER	=	root
GROUP	= 	root
SCRIPTS = nut-upsd.sh nut-drvctl.sh nut-upsmon.sh
CONFIGS = nut-drvctl nut-upsd nut-upsmon

INSTALLPERMS = 0755
INSTALLCMD = $(INSTALLSH) -c

all: install


install: 
	@if (test ! -d $(CONFIGPATH)) then \
		echo "NO $(CONFIGPATH)"; exit 1; \
	fi
	@if (test ! -d $(SCRIPTPATH)) then \
		echo "NO $(SCRIPTPATH)"; exit 1; \
	fi
	@if (test ! -d $(LINKPATH)) then \
		echo "NO $(LINKPATH)"; exit 1; \
	fi
	@for script in $(SCRIPTS); do\
		name=`basename $$script .sh` ; \
		$(INSTALLSH) -c -o $(OWNER) -g $(GROUP) $$script $(SCRIPTPATH)/$$name || exit 1; \
		ln -s $(SCRIPTPATH)/$$name $(LINKPATH)/K$(LINKPREFIX)$$name \
		|| echo "Unable to link $(SCRIPTPATH)/$$name to $(LINKPATH)/K$(LINKPREFIX)$$name"; \
		ln -s $(SCRIPTPATH)/$$name $(LINKPATH)/S$(LINKPREFIX)$$name  \
		|| echo "Unable to link $(SCRIPTPATH)/$$name to $(LINKPATH)/S$(LINKPREFIX)$$name"; \
	done
	@for config in $(CONFIGS); do\
		$(INSTALLSH) -c -o $(OWNER) -g $(GROUP) $$config $(CONFIGPATH) || exit 1 ; \
	done

remove:
	@for config in $(CONFIGS); do\
		rm -f $(CONFIGPATH)/$$config;\
	done
	@for script in $(SCRIPTS); do\
		name=`basename $$script .sh` ; \
		rm -f $(SCRIPTPATH)/$$name || exit 1; \
		rm -f $(LINKPATH)/K$(LINKPREFIX)$$name \
		|| echo "Unable to remove $(LINKPATH)/K$(LINKPREFIX)$$name"; \
		rm -f $(LINKPATH)/S$(LINKPREFIX)$$name  \
		|| echo "Unable to remove $(LINKPATH)/S$(LINKPREFIX)$$name"; \
	done

## nut 2.6.0

=== debian/changelog ===
nut (2.6.0-1ubuntu3.1) natty-security; urgency=low

  * SECURITY UPDATE: remote denial of service
   - debian/CVE-2012-2944.patch: limit the set of parsed characters to ' '
     through '~'
   - CVE-2012-2944

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 30 May 2012 13:48:54 -0500

nut (2.6.0-1ubuntu3) natty; urgency=low

  * debian/patches/backport-fix-lp753661.patch: Backport fix 
    to trim extraneous end-of-line, in buggy HID string tables, 
    which results in upsc breaking the communication pipe.
    (LP: #753661)

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 20 Apr 2011 10:47:05 -0400

nut (2.6.0-1ubuntu2) natty; urgency=low

  * fix_pc_file.patch: fix .pc source files by using LIBSSL_LIBS instead of
    LIBSSL_LDFLAGS to avoid a FTBFS in packages that uses libupsclient.pc
    (LP: #743484)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Sun, 27 Mar 2011 08:21:01 +0200

nut (2.6.0-1ubuntu1) natty; urgency=low

  * Merge from Debian unstable, remaining changes:
    + debian/control:
      - Update maintainer as per spec.
      - Add Breaks on nut-hal-drivers to ensure we have correct udev version.
      - Drop libpowerman0-dev from the Build-Depends (currently in universe)
    + debian/{nut-cgi,nut}.postinst: add nut to the dialout and nut groups
      unconditonally to hanle the upgrade from hardy release.
    + debian/nut-powerman-pdu.install, debian/nut-powerman-pdu.manpages: dropped for now.
    + debian/nul-hal-drivers.{docs,install,postinst,preinst}: Dropped since hal is in universe now
    + debian/nut.links: must create the init script link, used if the upse needs to be powered down
      (LP: #357583)
    + debian/source_nut.py, debian/nut.install, debian/rules: Install apport hook.
    + Dropped:
      - debian/patches/0002-fix_udev_action.patch: Accepted upstream.
      - debian/patches/0004-netvision-improvements-lp-600950: no longer needed.
      - debian/patches/0005-fix-nut-m4.patch: no longer needed.
      - debian/patches/9999-autoconf.patch: no longer needed.

 -- Chuck Short <zulcss@ubuntu.com>  Wed, 23 Feb 2011 09:01:35 -0500

nut (2.6.0-1) unstable; urgency=low

  * New upstream release (Closes: #575176, #588648, #609597, #687985)
  * debian/patches/*.patch: removed since these are now fixed upstream
  * debian/patches/0001-fix_spelling_and_typo.patch,
    debian/patches/series: reworked to match the new upstream release
  * debian/nut.install, debian/nut.manpages: remove obsolete reference to
    megatec and megatec_usb, now respectively replaced by blazer_ser and
    blazer_usb
  * debian/nut.docs: limit distributed documentation

 -- Arnaud Quette <aquette@debian.org>  Wed, 16 Feb 2011 22:55:26 +0100

nut (2.4.3-3) UNRELEASED; urgency=low

  * debian/control:
    - Wrap build-dependencies
    - Change nut-cgi Recommends to apache2 | httpd-cgi
  * debian/nut.postinst: Only trigger USB subsystem, should Closes: #574769
  * debian/patches/0002-fix_udev_action.patch: Use SUBSYSTEM instead of BUS

 -- Laurent Bigonville <bigon@debian.org>  Tue, 11 Jan 2011 22:24:07 +0100

nut (2.4.3-2ubuntu4) natty; urgency=low

  * debian/control, debian/rules, 
    debian/nut-hal-drivers.{docs,install,postinst,preinst}: Drop
    nut-hal-drivers since Nut doesnt go into universe.

 -- Chuck Short <zulcss@ubuntu.com>  Thu, 27 Jan 2011 11:18:14 -0500

nut (2.4.3-2ubuntu3) natty; urgency=low

  * Split patches/debian-changes-2.4.3-2ubuntu1 into
    patches/0005-fix-nut-m4.patch and patches/9999-autoconf.patch
  * Readd lost debian/patches0004-netvision-improvements-lp-600950.patch patch
    (LP: #707050)
  * debian/patches/0002-fix_udev_action.patch:
    Change BUS to SUBSYSTEMS, since the former is deprecated. (LP: #692171)
  * debian/nut.postinst: Uncomment missing call to adduser

 -- Laurent Bigonville <bigon@ubuntu.com>  Thu, 27 Jan 2011 09:18:20 -0500

nut (2.4.3-2ubuntu2) natty; urgency=low

  * debian/control: Drop hal build dependency, we don't need the daemon to
    build the package. Add a hal dependency to nut-hal-drivers, which is the
    only thing that actually needs it.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Thu, 27 Jan 2011 10:00:42 +0100

nut (2.4.3-2ubuntu1) natty; urgency=low

  * Merge from debian unstable.  Remaining changes:
    + debian/control:
      - Update maintainer as per spec.
      - Add Breaks on nut-hal-drivers to ensure we have correct udev version.
      - Drop libpowerman0-dev from the Build-Depends (currently in universe)
    + debian/{nut-cgi,nut}.postinst: add nut to the dialout and nut groups
      unconditonally to hanle the upgrade from hardy release.
    + debian/nut-powerman-pdu.install, debian/nut-powerman-pdu.manpages: dropped for now.
    + debian/nut.links: must create the init script link, used if the upse needs to be powered down
      (LP: #357583)
    + debian/nut.postinst: Update udevadm trigger.
      "libusb_get_report: error sending control message: 
       Operation not permitted" error on some UPS devices. (LP: #572262)
    + debian/source_nut.py, debian/nut.install, debian/rules: Install apport hook.
    + debian/patches/netvision-improvements-lp-600950.patch: Add improvements
      for netvision UPSes
    + Fix FTBFS with ld --as-needed.
    + Dropped:
      - debian/patches/03_udev_rules_change.dpatch: Use debian's instead.
      - debian/patches/04_nut_small-buffers.dpatch: Use debian's instead.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 10 Jan 2011 21:21:02 +0000

nut (2.4.3-2) unstable; urgency=medium

  * debian/control:
    - Bump Standards-Version to 3.9.1
    - Update Vcs-* fields to new GIT repository
    - Add myself as Uploaders
  * Switch to dpkg-source 3.0 (quilt) format (Closes: #573601)
  * debian/patches/0001-low_speed_usb_ups.patch: Use patch system for changes
    that were applied directly in the source
  * Add debian/gbp.conf file
  * debian/watch: Bump version to 3
  * Add debian/patches/0002-fix_udev_action.patch: Also set permission for
    "change" udev ACTION (Closes: #557178)


=== debian/control ===
Source: nut
Section: admin
Priority: optional
XSBC-Original-Maintainer: Arnaud Quette <aquette@debian.org>
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Uploaders: Laurent Bigonville <bigon@debian.org>
Build-Depends: debhelper (>= 8),
               autoconf,
               automake,
               libtool,
               libgd2-xpm-dev | libgd2-noxpm-dev,
               libsnmp-dev | libsnmp9-dev,
               libusb-dev (>= 0.1.8),
               libdbus-1-dev,
               libdbus-glib-1-dev,
               libglib2.0-dev,
               libneon27-gnutls-dev | libneon26-gnutls-dev | libneon-dev | libneon27-dev | libneon26-dev,
               libwrap0-dev (>= 7.6)
Standards-Version: 3.9.1
Homepage: http://www.networkupstools.org
Vcs-Browser: http://git.debian.org/?p=collab-maint/nut.git;a=summary
Vcs-Git: git://git.debian.org/git/collab-maint/nut.git

Package: nut
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6), ${udev}
Recommends: bash-completion
Suggests: nut-cgi, nut-snmp, nut-dev, nut-xml
Provides: ups-monitor, nut-doc, nut-usb
Conflicts: ups-monitor, nut-doc, nut-hal-drivers, nut-usb (<< 2.1.0-3), nut-dev (<< 2.2.2)
Replaces: nut-doc
Description: network UPS tools - core system
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides NUT's core system, and the serial and USB UPS
 drivers. In most cases it is sufficient for a basic UPS monitoring
 system.

Package: nut-cgi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser
Recommends: apache2 | httpd-cgi
Suggests: nut
Replaces: nut (<< 1.1.11)
Description: network UPS tools - web interface
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides an HTTP interface for Network UPS Tools which makes
 it possible to monitor the core NUT system with a web browser.

Package: nut-snmp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nut (>= 1.4.1-pre1)
Conflicts: nut (<= 1.4.0)
Description: network UPS tools - SNMP driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides snmp-ups, the SNMP multi-MIB driver for UPS, which
 supports various MIBs including IETF, MGE, and APC. It adds an SNMP
 Manager interface to the core NUT system.

Package: nut-xml
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, nut (>= 2.2.2)
Description: network UPS tools - XML/HTTP driver
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides netxml-ups, which supports UPS models from
 Eaton or MGE that use an XML/HTTP-based Network Management Card or
 Proxy.

Package: libupsclient1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: network UPS tools - client library
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the shared client library.

Package: libupsclient1-dev
Section: libdevel
Architecture: any
Depends: libupsclient1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Provides: nut-dev
Conflicts: nut-dev (<< 2.2.2)
Description: network UPS tools - development files
 Network UPS Tools (NUT) is a client/server monitoring system that
 allows computers to share uninterruptible power supply (UPS) and
 power distribution unit (PDU) hardware. Clients access the hardware
 through the server, and are notified whenever the power status
 changes.
 .
 This package provides the development files.

=== debian/rules ===
#!/usr/bin/make -f

#export DH_VERBOSE=1
export DH_OPTIONS=

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)
CFLAGS+=$(if $(findstring debug,$(DEB_BUILD_OPTIONS)),-g)
CFLAGS+=$(if $(findstring noopt,$(DEB_BUILD_OPTIONS)),-O0,-O2)
CONFIGUREFLAGS+=$(if $(findstring nostrip,$(DEB_BUILD_OPTIONS)),,--enable-strip)
CONFIGUREFLAGS+=--build=$(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
CONFIGUREFLAGS+=--host=$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
CONFIGUREFLAGS+=$(if $(wildcard /usr/include/linux/hiddev.h),--with-linux-hiddev=/usr/include/linux/hiddev.h,--without-linux-hiddev)
ifeq (linux,$(DEB_HOST_ARCH_OS))
	CONFIGUREFLAGS+=--with-udev-dir=/lib/udev
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	CFLAGS='$(CFLAGS)' ./configure $(CONFIGUREFLAGS) \
	    --prefix=/usr \
	    --exec-prefix=/ \
	    --sysconfdir=/etc/nut \
	    --mandir=/usr/share/man \
	    --libdir=/lib \
	    --includedir=/usr/include \
	    --without-ssl \
	    --with-cgi \
	    --with-dev \
	    --enable-static \
	    --with-statepath=/var/run/nut \
	    --with-altpidpath=/var/run/nut \
	    --with-drvpath=/lib/nut \
	    --with-cgipath=/usr/lib/cgi-bin/nut \
	    --with-htmlpath=/usr/share/nut/www \
	    --with-pidpath=/var/run/nut \
	    --datadir=/usr/share/nut \
	    --with-pkgconfig-dir=/usr/lib/pkgconfig \
	    --with-user=nut --with-group=nut
	touch $@

build: configure
build: build-stamp
build-stamp:
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f configure-stamp build-stamp install-stamp
	[ ! -f Makefile ] || $(MAKE) distclean
	dh_clean
#	debconf-updatepo
#	-test -r /usr/share/misc/config.sub && \
#	  cp -f /usr/share/misc/config.sub config.sub
#	-test -r /usr/share/misc/config.guess && \
#	  cp -f /usr/share/misc/config.guess config.guess

uninstall:
	dh_testdir
	dh_testroot
	rm -f install-stamp
	dh_prep

install: build
install: install-stamp
install-stamp: DH_OPTIONS=
install-stamp:
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs

	$(MAKE) install \
		DESTDIR=$(CURDIR)/debian/tmp RUNUID=65534 RUNGID=65534

	# install the bash completion script
	mkdir -p $(CURDIR)/debian/tmp/etc/bash_completion.d
	cp $(CURDIR)/scripts/misc/nut.bash_completion \
		$(CURDIR)/debian/tmp/etc/bash_completion.d/nut

	# install the default configuration
	for f in $(CURDIR)/debian/tmp/etc/nut/*; do           \
		nf=`basename $${f} | sed 's/\(.*\).sample/\1/'`;  \
		mv $${f} $(CURDIR)/debian/tmp/etc/nut/$${nf};  \
	done

	# install apport hook
	install -D -m 644 debian/source_nut.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_nut.py

	dh_installchangelogs ChangeLog
	dh_installinit -- start 50 2 3 4 5 . stop 50 0 1 6 .
	dh_install
	dh_installman
	dh_installdocs -XMakefile
	dh_link
	touch $@

binary-indep: DH_OPTIONS=-i
binary-indep: install

binary-arch: DH_OPTIONS=-a
binary-arch: install
	dh_testdir
	dh_testroot
#	dh_installdebconf
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_lintian -pnut
	dh_installdeb
	dh_shlibdeps
#	dh_shlibdeps -Xlibupsclient.a
ifeq (linux,$(DEB_HOST_ARCH_OS))
#	dh_gencontrol -- -Vudev="udev (>= 0.124-1)"
# for Ubuntu
	dh_gencontrol -- -Vudev="udev (>= 136-1)"
else
	dh_gencontrol -- -Vudev=""
endif
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary configure install uninstall

## nut 2.6.1

=== debian/changelog ===
nut (2.6.1-2ubuntu2) oneiric; urgency=low

  * Fix FTBFS for Ubuntu (LP: #815760):
    - debian/control: Build-Depends-Indep on docbook-xsl for offline 
      document generation.

 -- James Page <james.page@ubuntu.com>  Mon, 25 Jul 2011 12:02:48 +0100

nut (2.6.1-2ubuntu1) oneiric; urgency=low

  * Merge from Debian unstable (LP: #811976). Remaining changes:
    - debian/control: Drop Build-Depends on libpowerman0-dev (currently in 
      universe)
    - debian/{nut-cgi,nut-server}.postinst: add nut to the dialout and nut 
      groups unconditonally to handle the upgrade from hardy release.
    - debian/nut-powerman-pdu.{install,manpages}: dropped for now.
    - debian/source_nut.py, debian/{nut,nut-server,nut-client}.install, 
      debian/rules: Install apport hooks for all top-level nut packages.
    - debian/rules: Use udev version for Ubuntu.
    - debian/series, debian/patches/backport-fix-lp753661.patch: re-enabled.

 -- James Page <james.page@ubuntu.com>  Fri, 22 Jul 2011 14:12:46 +0100

nut (2.6.1-2) unstable; urgency=low

  * debian/nut.README.Debian: Adjust udev rules naming for permissions override
    (Closes: #529664)
  * Re-add and refresh debian/patches/0001-fix_spelling_and_typo.patch:
    Some typos and spelling errors remain.
  * Split nut package into nut-client and nut-server, keep nut package as
    metapackage
  * Generate PDF and html doc and install it in nut-doc package
  * debian/rules:
    - List non-installed files
    - Includes python-module.mk
    - Add flags to build documentation and install it
  * debian/control:
    - Add python-nut package and add python build-dependency
    - Set nut-powerman-pdu priority to extras
    - Add nut-monitor package
    - Add nut-doc package and add required C/R/P
    - Add libups-nut-perl package
  * debian/nut-server.prerm: Remove /var/run/nut during removal

 -- Laurent Bigonville <bigon@debian.org>  Sun, 17 Jul 2011 19:03:18 +0200

nut (2.6.1-1ubuntu1) oneiric; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control:
      + Drop Build-Depends on libpowerman0-dev (currently in universe)
    - debian/{nut-cgi,nut}.postinst: add nut to the dialout and nut groups
      unconditonally to handle the upgrade from hardy release.
    - debian/nut-powerman-pdu.{install,manpages}: dropped for now.
    - debian/source_nut.py, debian/nut.install, debian/rules: Install apport hook.
    - debian/rules: Use udev version for Ubuntu.
  * debian/patches/backport-fix-lp753661.patch: Refreshed.
  * Drop changes due to .pc being not clean.

 -- Andres Rodriguez <andreserl@ubuntu.com>  Mon, 06 Jun 2011 13:38:09 -0400

nut (2.6.1-1) unstable; urgency=low

  * New upstream release (Closes: #595953, #614842, #595773)
  * debian/patches/*.patch: removed since these are now fixed upstream
  [Laurent Bigonville]
  * Drop HAL package and build-dependencies (Closes: #613197)
  * debian/control:
    - Bump Standards-Version to 3.9.2 (no further changes)
    - Drop autotools build-dependencies (not needed anymore)
    - Drop non-existing build-dependencies
  * debian/rules:
    - Correctly pass flags to configure

 -- Arnaud Quette <aquette@debian.org>  Wed, 01 Jun 2011 22:34:28 +0200 

nut (2.6.0-2ubuntu1) oneiric; urgency=low

  * Merge from debian unstable (LP: #789323).  Remaining changes:
    + debian/control:
      - Update maintainer as per spec.
      - Add Breaks on nut-hal-drivers to ensure we have correct udev version.
      - Drop libpowerman0-dev from the Build-Depends (currently in universe)
    + debian/{nut-cgi,nut}.postinst: add nut to the dialout and nut groups
      unconditonally to handle the upgrade from hardy release.
    + debian/nut-powerman-pdu.install, debian/nut-powerman-pdu.manpages: dropped for now.
    + debian/nul-hal-drivers.{docs,install,postinst,preinst}: Dropped since hal is in universe now
    + debian/nut.links: must create the init script link, used if the upse needs to be powered down
      (LP: #357583)
    + debian/source_nut.py, debian/nut.install, debian/rules: Install apport hook.
    + debian/patches/backport-fix-lp753661.patch
    + Dropped:
      - debian/patches/fix_pc_file.patch: replaced by debian's 0002-fix_libupsclient_pc.patch
  * debian/patches/fix_pc_file.patch: add DEP3 patch header
  * debian/patches/debian-changes-2.6.0-1: remove that accidental file

 -- Scott Moser <smoser@ubuntu.com>  Fri, 27 May 2011 16:16:10 -0400

nut (2.6.0-2) unstable; urgency=low

  * debian/nut-snmp.docs: Distribute snmp.txt doc file (Closes: #548295)
  * d/p/0001-fix_spelling_and_typo.patch: Update and refresh
  * debian/nut.lintian-overrides: Fix typo
  * debian/patch/0002-fix_libupsclient_pc.patch: Fix libupsclient.pc (Closes:
    #624255)
  * debian/rules:
    - Switch to cdbs
    - Remove not existing configure options (Closes: #611813)
    - Drop Phony rules (Closes: #613699)
  * debian/control:
    - Add cdbs build-dependency

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 May 2011 21:23:46 +0200

=== debian/control ===
--- 
+++ 
@@ -2,33 +2,49 @@
 Section: admin
 Priority: optional
 XSBC-Original-Maintainer: Arnaud Quette <aquette@debian.org>
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Uploaders: Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 8),
-               autoconf,
-               automake,
-               libtool,
+               cdbs (>= 0.4.90~),
                libgd2-xpm-dev | libgd2-noxpm-dev,
                libsnmp-dev | libsnmp9-dev,
                libusb-dev (>= 0.1.8),
                libdbus-1-dev,
                libdbus-glib-1-dev,
                libglib2.0-dev,
-               libneon27-gnutls-dev | libneon26-gnutls-dev | libneon-dev | libneon27-dev | libneon26-dev,
-               libwrap0-dev (>= 7.6)
-Standards-Version: 3.9.1
-Homepage: http://www.networkupstools.org
+               libneon27-gnutls-dev | libneon27-dev,
+               libwrap0-dev (>= 7.6),
+               python (>= 2.6.6-3~)
+Build-Depends-Indep: asciidoc (>= 8.6.3),
+                     docbook-xsl,
+                     dblatex (>= 0.2.5),
+                     libxml2-utils
+Standards-Version: 3.9.2
+Homepage: http://www.networkupstools.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/nut.git;a=summary
 Vcs-Git: git://git.debian.org/git/collab-maint/nut.git
+X-Python-Version: >= 2.5
 
 Package: nut
-Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6), ${udev}
-Recommends: bash-completion
+Architecture: all
+Depends: ${misc:Depends}, nut-server, nut-client
+Description: network UPS tools - metapackage
+ Network UPS Tools (NUT) is a client/server monitoring system that
+ allows computers to share uninterruptible power supply (UPS) and
+ power distribution unit (PDU) hardware. Clients access the hardware
+ through the server, and are notified whenever the power status
+ changes.
+ .
+ This package is a metapackage that install both nut-server and nut-client
+
+Package: nut-server
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6), ${udev}, nut-client (= ${binary:Version})
 Suggests: nut-cgi, nut-snmp, nut-dev, nut-xml
-Provides: ups-monitor, nut-doc, nut-usb
-Conflicts: ups-monitor, nut-doc, nut-hal-drivers, nut-usb (<< 2.1.0-3), nut-dev (<< 2.2.2)
-Replaces: nut-doc
+Provides: ups-monitor, nut-usb
+Conflicts: ups-monitor, nut-hal-drivers, nut-usb (<< 2.1.0-3), nut-dev (<< 2.2.2)
+Replaces: nut (<< 2.6.1-2~)
+Breaks: nut (<< 2.6.1-2~)
 Description: network UPS tools - core system
  Network UPS Tools (NUT) is a client/server monitoring system that
  allows computers to share uninterruptible power supply (UPS) and
@@ -39,6 +55,22 @@
  This package provides NUT's core system, and the serial and USB UPS
  drivers. In most cases it is sufficient for a basic UPS monitoring
  system.
+
+Package: nut-client
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: bash-completion
+Replaces: nut (<< 2.6.1-2~)
+Breaks: nut (<< 2.6.1-2~)
+Description: network UPS tools - clients
+ Network UPS Tools (NUT) is a client/server monitoring system that
+ allows computers to share uninterruptible power supply (UPS) and
+ power distribution unit (PDU) hardware. Clients access the hardware
+ through the server, and are notified whenever the power status
+ changes.
+ .
+ This package provides NUT's clients that allows the user to control
+ and monitor the UPS.
 
 Package: nut-cgi
 Architecture: any
@@ -85,6 +117,20 @@
  Eaton or MGE that use an XML/HTTP-based Network Management Card or
  Proxy.
 
+Package: nut-doc
+Architecture: all
+Section: doc
+Depends: ${misc:Depends}
+Suggests: doc-base
+Description: network UPS tools - documentation
+ Network UPS Tools (NUT) is a client/server monitoring system that
+ allows computers to share uninterruptible power supply (UPS) and
+ power distribution unit (PDU) hardware. Clients access the hardware
+ through the server, and are notified whenever the power status
+ changes.
+ .
+ This package contains FAQ, user, developer and packager documentation.
+
 Package: libupsclient1
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -111,3 +157,46 @@
  changes.
  .
  This package provides the development files.
+
+Package: python-nut
+Section: python
+Architecture: all
+Depends: ${python:Depends}, ${misc:Depends}
+Description: network UPS tools - Python bindings for NUT server
+ Network UPS Tools (NUT) is a client/server monitoring system that
+ allows computers to share uninterruptible power supply (UPS) and
+ power distribution unit (PDU) hardware. Clients access the hardware
+ through the server, and are notified whenever the power status
+ changes.
+ .
+ This package provides Python bindings to connect to NUT server.
+
+Package: nut-monitor
+Architecture: all
+Depends: ${python:Depends},
+         ${misc:Depends},
+         python-gobject,
+         python-gtk2,
+         python-glade2,
+         python-nut
+Description: network UPS tools - GUI application to monitor UPS status
+ Network UPS Tools (NUT) is a client/server monitoring system that
+ allows computers to share uninterruptible power supply (UPS) and
+ power distribution unit (PDU) hardware. Clients access the hardware
+ through the server, and are notified whenever the power status
+ changes.
+ .
+ This package provides nut-monitor, a GUI application to monitor UPS status.
+
+Package: libups-nut-perl
+Section: perl
+Architecture: all
+Depends: ${perl:Depends}, ${misc:Depends}
+Description: network UPS tools - Perl bindings for NUT server
+ Network UPS Tools (NUT) is a client/server monitoring system that
+ allows computers to share uninterruptible power supply (UPS) and
+ power distribution unit (PDU) hardware. Clients access the hardware
+ through the server, and are notified whenever the power status
+ changes.
+ .
+ This package provides Perl bindings to connect to NUT server.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/class/python-module.mk

DEB_HOST_ARCH_OS := $(shell dpkg-architecture -qDEB_HOST_ARCH_OS 2>/dev/null)

# List any files which are not installed
include /usr/share/cdbs/1/rules/utils.mk
common-binary-post-install-arch:: list-missing

DEB_CONFIGURE_PREFIX      :=
DEB_CONFIGURE_SYSCONFDIR  := /etc/nut
DEB_CONFIGURE_INCLUDEDIR  := /usr/include
DEB_CONFIGURE_MANDIR      := /usr/share/man
DEB_CONFIGURE_EXTRA_FLAGS := --without-ssl \
	                     --with-cgi \
	                     --with-dev \
	                     --enable-static \
	                     --with-statepath=/var/run/nut \
	                     --with-altpidpath=/var/run/nut \
	                     --with-drvpath=/lib/nut \
	                     --with-cgipath=/usr/lib/cgi-bin/nut \
	                     --with-htmlpath=/usr/share/nut/www \
	                     --with-pidpath=/var/run/nut \
	                     --datadir=/usr/share/nut \
	                     --with-pkgconfig-dir=/usr/lib/pkgconfig \
	                     --with-user=nut --with-group=nut

ifeq (linux,$(DEB_HOST_ARCH_OS))
  DEB_CONFIGURE_EXTRA_FLAGS+=--with-udev-dir=/lib/udev
endif

# only build documentation if asciidoc is installed
ifneq ($(shell which asciidoc),)
  DEB_CONFIGURE_EXTRA_FLAGS+=--with-doc=html-chunked,pdf
endif

common-install-arch::
	# install the bash completion script
	mkdir -p $(CURDIR)/debian/tmp/etc/bash_completion.d
	cp $(CURDIR)/scripts/misc/nut.bash_completion \
		$(CURDIR)/debian/tmp/etc/bash_completion.d/nut

	# install the default configuration
	for f in $(CURDIR)/debian/tmp/etc/nut/*; do           \
		nf=`basename $${f} | sed 's/\(.*\).sample/\1/'`;  \
		mv $${f} $(CURDIR)/debian/tmp/etc/nut/$${nf};  \
	done

	# install apport hooks
	install -D -m 644 debian/source_nut.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_nut-server.py
	install -D -m 644 debian/source_nut.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_nut-client.py


common-install-indep::
	#install documentation
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/pdf
	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/html
	cp $(CURDIR)/docs/*.pdf $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/pdf
	cp $(CURDIR)/docs/FAQ.html $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/html

	for f in $(CURDIR)/docs/*.chunked/; do \
		nf=`basename $${f} | sed 's/\(.*\)\.chunked/\1/'`; \
		cp -a $${f} $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/html/$${nf}/; \
	done

	# install apport hooks
	install -D -m 644 debian/source_nut.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_nut.py


binary-install/nut-monitor::
	dh_python2 -pnut-monitor

DEB_DH_INSTALLINIT_ARGS_nut-server := --init-script=nut -- start 50 2 3 4 5 . stop 50 0 1 6 .
DEB_DH_COMPRESS_ARGS_nut-doc := -X.pdf

ifeq (linux,$(DEB_HOST_ARCH_OS))
# for Debian
# DEB_DH_GENCONTROL_ARGS := -- -Vudev="udev (>= 0.124-1)"
# for Ubuntu
  DEB_DH_GENCONTROL_ARGS := -- -Vudev="udev (>= 136-1)"
endif

## nut 2.6.2

=== debian/changelog ===
nut (2.6.2-1) unstable; urgency=low

  * New upstream release (Closes: #594989)
  * debian/control:
    - remove legacy Build-Depends for nut-hal-drivers on libdbus and libglib
    - Build-Depends-Indep on docbook-xsl for offline document
      generation (Closes: #635347)
  * debian/nut-server.install: add apcsmart-old
  * debian/nut-server.init:
    - add udev as Required-Start/Stop (Closes: #642412)
    - remove legacy support for /etc/default/nut (Closes: #638021)
  * debian/patches/0003-libupsclient-version.patch: added to fix the missing
    libupsclient version info bump
  * debian/libupsclient1-dev.links: update link name
  * debian/libupsclient1.symbols: add with upscli_tryconnect
  * debian/nut.TODO.Debian: update and complete the TODO list

 -- Arnaud Quette <aquette@debian.org>  Thu, 29 Sep 2011 18:39:16 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,15 @@
 Source: nut
 Section: admin
 Priority: optional
-XSBC-Original-Maintainer: Arnaud Quette <aquette@debian.org>
-Maintainer: Ubuntu Core Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Arnaud Quette <aquette@debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs (>= 0.4.90~),
                libgd2-xpm-dev | libgd2-noxpm-dev,
                libsnmp-dev | libsnmp9-dev,
                libusb-dev (>= 0.1.8),
-               libdbus-1-dev,
-               libdbus-glib-1-dev,
-               libglib2.0-dev,
                libneon27-gnutls-dev | libneon27-dev,
+               libpowerman0-dev (>= 2.3.3),
                libwrap0-dev (>= 7.6),
                python (>= 2.6.6-3~)
 Build-Depends-Indep: asciidoc (>= 8.6.3),
@@ -117,6 +114,20 @@
  Eaton or MGE that use an XML/HTTP-based Network Management Card or
  Proxy.
 
+Package: nut-powerman-pdu
+Architecture: any
+Priority: extra
+Depends: ${shlibs:Depends}, ${misc:Depends}, nut (>= 2.4.0), powerman (>= 2.3.3)
+Description: network UPS tools - PowerMan PDU driver
+ Network UPS Tools (NUT) is a client/server monitoring system that
+ allows computers to share uninterruptible power supply (UPS) and
+ power distribution unit (PDU) hardware. Clients access the hardware
+ through the server, and are notified whenever the power status
+ changes.
+ .
+ This package provides powerman-pdu, which allows NUT clients to communicate
+ with the PowerMan daemon to support PDUs.
+
 Package: nut-doc
 Architecture: all
 Section: doc

=== debian/rules ===
--- 
+++ 
@@ -49,11 +49,6 @@
 		mv $${f} $(CURDIR)/debian/tmp/etc/nut/$${nf};  \
 	done
 
-	# install apport hooks
-	install -D -m 644 debian/source_nut.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_nut-server.py
-	install -D -m 644 debian/source_nut.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_nut-client.py
-
-
 common-install-indep::
 	#install documentation
 	mkdir -p $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/pdf
@@ -66,10 +61,6 @@
 		cp -a $${f} $(CURDIR)/debian/tmp/usr/share/doc/nut-doc/html/$${nf}/; \
 	done
 
-	# install apport hooks
-	install -D -m 644 debian/source_nut.py $(CURDIR)/debian/tmp/usr/share/apport/package-hooks/source_nut.py
-
-
 binary-install/nut-monitor::
 	dh_python2 -pnut-monitor
 
@@ -78,7 +69,7 @@
 
 ifeq (linux,$(DEB_HOST_ARCH_OS))
 # for Debian
-# DEB_DH_GENCONTROL_ARGS := -- -Vudev="udev (>= 0.124-1)"
+  DEB_DH_GENCONTROL_ARGS := -- -Vudev="udev (>= 0.124-1)"
 # for Ubuntu
-  DEB_DH_GENCONTROL_ARGS := -- -Vudev="udev (>= 136-1)"
+# DEB_DH_GENCONTROL_ARGS := -- -Vudev="udev (>= 136-1)"
 endif

## nut 2.6.3

=== debian/changelog ===
nut (2.6.3-1ubuntu1.1) precise-security; urgency=low

  * SECURITY UPDATE: remote denial of service
   - debian/CVE-2012-2944.patch: limit the set of parsed characters to ' '
     through '~'
   - CVE-2012-2944

 -- Jamie Strandboge <jamie@ubuntu.com>  Wed, 30 May 2012 13:45:22 -0500

nut (2.6.3-1ubuntu1) precise; urgency=low

  * Merge from Debian testing.  Remaining changes:
    - debian/control: Drop Build-Depends on libpowerman0-dev (currently in 
      universe)
    - debian/{nut-cgi,nut-server}.postinst: add nut to the dialout and nut 
      groups unconditonally to handle the upgrade from hardy release.
    - debian/nut-powerman-pdu.{install,manpages}: dropped for now.
    - debian/source_nut.py, debian/{nut,nut-server,nut-client}.install, 
      debian/rules: Install apport hooks for all top-level nut packages.
    - debian/rules: Use udev version for Ubuntu.
    - debian/series, debian/patches/backport-fix-lp753661.patch: re-enabled.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2012 09:23:24 -0500

nut (2.6.3-1) unstable; urgency=low

  * New upstream release (Closes: #635186, #598741, #633756, #638221)
  * debian/nut-server.{install,manpages}: add richcomm_usb
  * debian/nut-server.install, debian/rules: install Avahi service file
  * debian/rules, nut-client.install: install Augeas lenses
  * debian/nut-server.README.Debian: clarify udev explanation (Closes: #529664)
  * debian/patches/0001-fix_spelling_and_typo.patch,
    debian/patches/0003-libupsclient-version.patch: removed since these are now
    fixed upstream
  * debian/patches/series: updated

 -- Arnaud Quette <aquette@debian.org>  Tue, 24 Jan 2012 13:14:59 +0100

nut (2.6.2-1ubuntu1) precise; urgency=low

  * Merge from debian unstable.  Remaining changes:
    - debian/control: Drop Build-Depends on libpowerman0-dev (currently in 
      universe)
    - debian/{nut-cgi,nut-server}.postinst: add nut to the dialout and nut 
      groups unconditonally to handle the upgrade from hardy release.
    - debian/nut-powerman-pdu.{install,manpages}: dropped for now.
    - debian/source_nut.py, debian/{nut,nut-server,nut-client}.install, 
      debian/rules: Install apport hooks for all top-level nut packages.
    - debian/rules: Use udev version for Ubuntu.
    - debian/series, debian/patches/backport-fix-lp753661.patch: re-enabled.

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 04 Oct 2011 05:45:12 +0000

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: nut
 Section: admin
 Priority: optional
-Maintainer: Arnaud Quette <aquette@debian.org>
+XSBC-Original-Maintainer: Arnaud Quette <aquette@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 Uploaders: Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs (>= 0.4.90~),
@@ -9,7 +10,6 @@
                libsnmp-dev | libsnmp9-dev,
                libusb-dev (>= 0.1.8),
                libneon27-gnutls-dev | libneon27-dev,
-               libpowerman0-dev (>= 2.3.3),
                libwrap0-dev (>= 7.6),
                python (>= 2.6.6-3~)
 Build-Depends-Indep: asciidoc (>= 8.6.3),
@@ -114,20 +114,6 @@
  Eaton or MGE that use an XML/HTTP-based Network Management Card or
  Proxy.
 
-Package: nut-powerman-pdu
-Architecture: any
-Priority: extra
-Depends: ${shlibs:Depends}, ${misc:Depends}, nut (>= 2.4.0), powerman (>= 2.3.3)
-Description: network UPS tools - PowerMan PDU driver
- Network UPS Tools (NUT) is a client/server monitoring system that
- allows computers to share uninterruptible power supply (UPS) and
- power distribution unit (PDU) hardware. Clients access the hardware
- through the server, and are notified whenever the power status
- changes.
- .
- This package provides powerman-pdu, which allows NUT clients to communicate
- with the PowerMan daemon to support PDUs.
-
 Package: nut-doc
 Architecture: all
 Section: doc

=== debian/watch ===
version=3
http://www.networkupstools.org/source/2.4/nut-(.*)\.tar\.gz debian uupdate

## nut 2.6.4

=== debian/changelog ===
nut (2.6.4-2.3) unstable; urgency=low

  * Non-maintainer upload with fixes for wheezy.
  * debian/nut-client.preinst: also revert /etc/nut/nut.conf mangling done
    by postinst during upgrade from lenny to squeeze (Really closes: #677054)
    Thanks to Andreas Beckmann for the review.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Sat, 26 Jan 2013 20:09:48 +0100

nut (2.6.4-2.2) unstable; urgency=low

  * Non-maintainer upload with fixes for wheezy.
  * Only remove /etc/init.d/nut from previous versions of nut in nut-server
    postinst if there are no local changes.
  * Also remove /etc/init.d/nut in nut-client postinst. Thanks to 
    Laurent Bigonville for the hint.
  * Only fix permissions of configfiles on first install.
  * debian/control: Fix typo in package description. Thanks to Julien Cristau
    for spotting this.

 -- Ivo De Decker <ivo.dedecker@ugent.be>  Thu, 20 Dec 2012 20:40:01 +0100

nut (2.6.4-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/nut-client.preinst: revert /etc/nut/nut.conf mangling done by older
    versions of the postinst (Closes: #677054)

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 26 Nov 2012 21:09:33 +0100

nut (2.6.4-2) unstable; urgency=low

  * debian/rules: Stop the nut-client before nut-server on systems using static
    boot ordering (Closes: #679451)
  * debian/nut-server.postinst: Remove /etc/init.d/nut on upgrade
    (Closes: #677822)
  * Rename nut-server.lintian-overrides to nut-client.lintian-overrides and
    adjust overrides now that ups-monitor is shipped in nut-client package
    (Closes: #677947)
  * Add debian/patches/0001-fix-upsmon-regression.patch: Fix upsmon/upssched
    regression (Taken from upstream) (Closes: #679513)
  * Move nut metapackage to Section: metapackages
  * Also create nut user when installing nut-client package and do not delete
    it on purge anymore (Closes: #682000)
  * Drop /etc/default/nut → /etc/nut/nut.conf migration code, migration
    happends before squeeze release and this was against policy to have a
    maintainer script modifying a conffile in the first place (Closes: #684392)
  * Add dependency against adduser and lsb-base on nut-client package
  * Be sure that client is stopped before the server also when using
    dependencies based boot
  * Fix package descriptions (Closes: #678068)
  * Also install /bin/upssched-cmd in nut-client package as this script is
    referenced in default upssched.conf config file
  * debian/watch: Update watch file
  * Be sure that all maintainer scripts are returning 0 at their end

 -- Laurent Bigonville <bigon@debian.org>  Sun, 12 Aug 2012 20:38:52 +0200

nut (2.6.4-1) unstable; urgency=high

  * New upstream release (Closes: #671444)
  * acknowledges NMU (Closes: #613643)
  * debian/nut-client.init: fix action "start" and use of log_*_*msg
    LSB log functions (Closes: #675619)
  * debian/nut-server.preinst: remove obsolete file(s) left in
    /etc/udev/rules.d and related processing: udev files are now located
    in /lib/udev/rules, and there is no reason to modify the dedicated
    USB UPS rules (52-nut-usbups.rules) (Closes: #660072)

 -- Arnaud Quette <aquette@debian.org>  Wed, 06 Jun 2012 21:03:50 +0200

nut (2.6.3-2) unstable; urgency=low

  * debian/nut-server.init: rewrite to match upsd / drivers startup scope
  * debian/nut-client.init: created to match upsmon startup scope
    (Closes: #634858)
  * debian/nut.TODO.Debian, debian/Makefile.am: updated to reflect the above
  * debian/rules: install nut-client.init, and update to reflect the above
  * debian/control, debian/Makefile.am: updated to reflect the above
  * debian/control:
    - add Breaks on nut-server (<< 2.6.3-1~)
    - bump Standards-Version to 3.9.3
  * debian/nut-client.links: renamed from debian/nut-server.links, since
    ups-monitor is now provided by nut-client initscript
  * debian/nut.README.Debian: renamed from nut-server.README.Debian,
    to provide it with both client and server packages
  * debian/nut-server.install: add missing drivers (clone-outlet,
    liebert-esp2 and microdowell)
  * debian/nut-server.manpages: add missing manual pages (apcsmart-old,
    ivtscd, liebert-esp2 and microdowell)

 -- Arnaud Quette <aquette@debian.org>  Tue, 24 Jan 2012 13:14:59 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: nut
 Section: admin
 Priority: optional
-XSBC-Original-Maintainer: Arnaud Quette <aquette@debian.org>
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+Maintainer: Arnaud Quette <aquette@debian.org>
 Uploaders: Laurent Bigonville <bigon@debian.org>
 Build-Depends: debhelper (>= 8),
                cdbs (>= 0.4.90~),
@@ -10,13 +9,14 @@
                libsnmp-dev | libsnmp9-dev,
                libusb-dev (>= 0.1.8),
                libneon27-gnutls-dev | libneon27-dev,
+               libpowerman0-dev (>= 2.3.3),
                libwrap0-dev (>= 7.6),
                python (>= 2.6.6-3~)
 Build-Depends-Indep: asciidoc (>= 8.6.3),
                      docbook-xsl,
                      dblatex (>= 0.2.5),
                      libxml2-utils
-Standards-Version: 3.9.2
+Standards-Version: 3.9.3
 Homepage: http://www.networkupstools.org/
 Vcs-Browser: http://git.debian.org/?p=collab-maint/nut.git;a=summary
 Vcs-Git: git://git.debian.org/git/collab-maint/nut.git
@@ -24,6 +24,7 @@
 
 Package: nut
 Architecture: all
+Section: metapackages
 Depends: ${misc:Depends}, nut-server, nut-client
 Description: network UPS tools - metapackage
  Network UPS Tools (NUT) is a client/server monitoring system that
@@ -32,14 +33,15 @@
  through the server, and are notified whenever the power status
  changes.
  .
- This package is a metapackage that install both nut-server and nut-client
+ This package is a metapackage that installs both nut-server and nut-client,
+ in most cases it is sufficient for a basic UPS monitoring system.
 
 Package: nut-server
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6), ${udev}, nut-client (= ${binary:Version})
 Suggests: nut-cgi, nut-snmp, nut-dev, nut-xml
-Provides: ups-monitor, nut-usb
-Conflicts: ups-monitor, nut-hal-drivers, nut-usb (<< 2.1.0-3), nut-dev (<< 2.2.2)
+Provides: nut-usb
+Conflicts: nut-hal-drivers, nut-usb (<< 2.1.0-3), nut-dev (<< 2.2.2)
 Replaces: nut (<< 2.6.1-2~)
 Breaks: nut (<< 2.6.1-2~)
 Description: network UPS tools - core system
@@ -50,15 +52,16 @@
  changes.
  .
  This package provides NUT's core system, and the serial and USB UPS
- drivers. In most cases it is sufficient for a basic UPS monitoring
- system.
+ drivers.
 
 Package: nut-client
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, adduser, lsb-base (>= 3.0-6)
+Provides: ups-monitor
+Conflicts: ups-monitor, nut-server (<< 2.6.3-1)
 Recommends: bash-completion
 Replaces: nut (<< 2.6.1-2~)
-Breaks: nut (<< 2.6.1-2~)
+Breaks: nut (<< 2.6.1-2~), nut-server (<< 2.6.3-1~)
 Description: network UPS tools - clients
  Network UPS Tools (NUT) is a client/server monitoring system that
  allows computers to share uninterruptible power supply (UPS) and
@@ -113,6 +116,20 @@
  This package provides netxml-ups, which supports UPS models from
  Eaton or MGE that use an XML/HTTP-based Network Management Card or
  Proxy.
+
+Package: nut-powerman-pdu
+Architecture: any
+Priority: extra
+Depends: ${shlibs:Depends}, ${misc:Depends}, nut (>= 2.4.0), powerman (>= 2.3.3)
+Description: network UPS tools - PowerMan PDU driver
+ Network UPS Tools (NUT) is a client/server monitoring system that
+ allows computers to share uninterruptible power supply (UPS) and
+ power distribution unit (PDU) hardware. Clients access the hardware
+ through the server, and are notified whenever the power status
+ changes.
+ .
+ This package provides powerman-pdu, which allows NUT clients to communicate
+ with the PowerMan daemon to support PDUs.
 
 Package: nut-doc
 Architecture: all

=== debian/watch ===
version=3
http://www.networkupstools.org/source/([0-9.]+)/nut-(.*)\.tar\.gz
